#include <iostream>
#include <memory>

int main(){
  std::shared_ptr<int> a;
  a = std::make_shared<int>(10);
  std::cout << *a << std::endl;

  // /* error when compiling. */
  // std::shared_ptr<int> b;
  // b = new int;
  // std::cout << *b << std::endl;
  return 0;
}
